Bug 1769710 - [ceph-dashboard] Dashboard installation on IPv6 cluster fails waiting for grafana to start
Summary: [ceph-dashboard] Dashboard installation on IPv6 cluster fails waiting for gra...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: 4.0
Assignee: Dimitri Savineau
QA Contact: Ameena Suhani S H
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-07 09:30 UTC by Madhavi Kasturi
Modified: 2020-01-31 12:48 UTC (History)
11 users (show)

Fixed In Version: ceph-ansible-4.0.6-1.el8cp, ceph-ansible-4.0.6-1.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 12:47:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 4775 0 'None' closed ceph-grafana: remove ipv6 brakets on wait_for 2020-03-06 08:28:39 UTC
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:48:16 UTC

Comment 1 Ernesto Puerta 2019-11-08 18:18:10 UTC
Moving to Ceph-Ansible as the issue happens during Ansible playbook run. I inspected the Ceph-Ansible code and it seems to support IPv6 addresses there. In ceph-dashboard Grafana is addressed by means of the whole URL (either IPv4, v6 or hostname)

Comment 9 Ameena Suhani S H 2019-12-27 05:18:05 UTC
Verified using 
ceph-ansible-4.0.6-1.el8cp.noarch
ceph version 14.2.4-85.el8cp
ansible-2.8.7-1.el8ae.noarch

Moving to"VERIFIED" state

Comment 11 errata-xmlrpc 2020-01-31 12:47:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.